
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>controller.project module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-controller.project">
<span id="controller-project-module"></span><h1>controller.project module<a class="headerlink" href="#module-controller.project" title="Permalink to this headline">¶</a></h1>
<p>Project management API.</p>
<p>Project module to manage context within the application. It is assumed that user access management
is driven separately to validate the request received.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><a class="reference internal" href="controller.operations.html#controller.operations.encrypt" title="controller.operations.encrypt"><code class="xref py py-func docutils literal notranslate"><span class="pre">encrypt()</span></code></a> Encryption API to encode string.</p>
</div>
<dl class="function">
<dt id="controller.project.index">
<code class="sig-prename descclassname">controller.project.</code><code class="sig-name descname">index</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.project.index" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch all the projects configured in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>which has  details regarding the projects</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>JSON</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/project/&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;projects&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;Some dummy text&quot;,</span>
<span class="go">      &quot;id&quot;: 1,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;SalesIQ&quot;</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;Novartis Reporting&quot;,</span>
<span class="go">      &quot;id&quot;: 7,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;Novartis&quot;</span>
<span class="go">    }</span>
<span class="go">  ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.project.active">
<code class="sig-prename descclassname">controller.project.</code><code class="sig-name descname">active</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.project.active" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch all the <cite>active</cite> projects configured in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>which has  details regarding the projects</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>JSON</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/project/active/&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;projects&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;Some dummy text&quot;,</span>
<span class="go">      &quot;id&quot;: 1,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;SalesIQ&quot;</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;Novartis Reporting&quot;,</span>
<span class="go">      &quot;id&quot;: 7,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;Novartis&quot;</span>
<span class="go">    }</span>
<span class="go">  ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.project.add">
<code class="sig-prename descclassname">controller.project.</code><code class="sig-name descname">add</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.project.add" title="Permalink to this definition">¶</a></dt>
<dd><p>Add project to the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>str</em>) – name of the project to be added.</p></li>
<li><p><strong>description</strong> (<em>str</em>) – describe what this project is all about.</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] project is assumed to be added in active state unless provided.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON which has message in case, project has been added to the system.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/project/add?name=SalesIQ&amp;description=some dummy text&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;message&quot;: &quot;project added successfully&quot;</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.project.update">
<code class="sig-prename descclassname">controller.project.</code><code class="sig-name descname">update</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.project.update" title="Permalink to this definition">¶</a></dt>
<dd><p>Update the project settings by providing the id of the project.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>id</strong> (<em>int</em>) – ID of the project within the system.</p></li>
<li><p><strong>name</strong> (<em>str</em>) – name of the project to be added.</p></li>
<li><p><strong>description</strong> (<em>str</em>) – describe what this project is all about.</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] project is assumed to be added in active state unless provided.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON having the latest description of the project being updated.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/project/updated?id=1&amp;name=SalesIQ&amp;description=text&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;project&quot;: {</span>
<span class="go">    &quot;created_by&quot;: null,</span>
<span class="go">    &quot;creation_date&quot;: null,</span>
<span class="go">    &quot;description&quot;: &quot;some text&quot;,</span>
<span class="go">    &quot;id&quot;: 1,</span>
<span class="go">    &quot;is_active&quot;: true,</span>
<span class="go">    &quot;modification_date&quot;: &quot;Sun, 21 Jul 2019 00:00:00 GMT&quot;,</span>
<span class="go">    &quot;modified_by&quot;: null,</span>
<span class="go">    &quot;name&quot;: &quot;SalesIQ&quot;</span>
<span class="go">  }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.project.get">
<code class="sig-prename descclassname">controller.project.</code><code class="sig-name descname">get</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.project.get" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch a specific project from the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> (<em>int</em>) – project ID to be fetched.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON of the record present in the system.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/project/get?id=1&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;project&quot;: {</span>
<span class="go">    &quot;created_by&quot;: null,</span>
<span class="go">    &quot;creation_date&quot;: null,</span>
<span class="go">    &quot;description&quot;: &quot;some text&quot;,</span>
<span class="go">    &quot;id&quot;: 1,</span>
<span class="go">    &quot;is_active&quot;: true,</span>
<span class="go">    &quot;modification_date&quot;: &quot;Sun, 21 Jul 2019 00:00:00 GMT&quot;,</span>
<span class="go">    &quot;modified_by&quot;: null,</span>
<span class="go">    &quot;name&quot;: &quot;SalesIQ&quot;</span>
<span class="go">  }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.project.delete">
<code class="sig-prename descclassname">controller.project.</code><code class="sig-name descname">delete</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.project.delete" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete the project from the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> (<em>int</em>) – project ID to be deleted.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON with the message - deleted successfully.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/project/delete?id=1&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;message&quot;: &quot;deleted successfully&quot;</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/controller.project.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>